# Customer Fields

Operations related to customer form fields (standard and custom)

## Get all customer form fields

 - [GET /accounts/{accountId}/customerFields](https://developers.propetware.com/apis/openapi-v1/customer-fields/getcustomerfields.md): Retrieve all customer form fields (standard and custom) for an account

## Get standard customer fields

 - [GET /accounts/{accountId}/customerFields/standard](https://developers.propetware.com/apis/openapi-v1/customer-fields/getstandardcustomerfields.md): Retrieve standard customer form fields for an account

## Update standard customer fields

 - [PATCH /accounts/{accountId}/customerFields/standard](https://developers.propetware.com/apis/openapi-v1/customer-fields/updatestandardcustomerfields.md): Update properties of standard customer form fields

## List custom customer fields

 - [GET /accounts/{accountId}/customerFields/custom](https://developers.propetware.com/apis/openapi-v1/customer-fields/listcustomcustomerfields.md): Retrieve all custom customer form fields for an account

## Create custom customer field

 - [POST /accounts/{accountId}/customerFields/custom](https://developers.propetware.com/apis/openapi-v1/customer-fields/createcustomcustomerfield.md): Create a new custom customer form field

## Get custom customer field

 - [GET /accounts/{accountId}/customerFields/custom/{fieldId}](https://developers.propetware.com/apis/openapi-v1/customer-fields/getcustomcustomerfield.md): Retrieve a specific custom customer form field

## Update custom customer field

 - [PATCH /accounts/{accountId}/customerFields/custom/{fieldId}](https://developers.propetware.com/apis/openapi-v1/customer-fields/updatecustomcustomerfield.md): Update a custom customer form field

## Delete custom customer field

 - [DELETE /accounts/{accountId}/customerFields/custom/{fieldId}](https://developers.propetware.com/apis/openapi-v1/customer-fields/deletecustomcustomerfield.md): Delete a custom customer form field

## Reorder custom customer fields

 - [PATCH /accounts/{accountId}/customerFields/custom/reorder](https://developers.propetware.com/apis/openapi-v1/customer-fields/reordercustomcustomerfields.md): Reorder custom customer form fields

